Subject: Re: bug#18541: 24.3; ruler-mode: margins are reset when doing next-buffer/previous-buffer

From: martin rudalics <[email-masked]>
Date: Sun, 22 Aug 2021 10:24:37 +0200

> Yeah, I guess...  but...  is it really useful to restore the margins if
 > you display the same buffer in a (very) different frame?  (I'm thinking
 > gui vs. non-gui in an emacsclient setup.)

Is it useful to make Ruler mode buffer local?

 > I think it would be natural to restore margins if the buffer is a window
 > in the same frame, but that's rather obscure, too.

Buffer local settings have to be respected anywhere.  A user who sets
the margins in a non-gui frame and switches to a gui frame may want to
see them there as well.

martin